micronaut:
  application:
    name: skilldesk-backend
  server:
    port: 8000
    cors:
      enabled: true
      configurations:
        all:
          allowedOrigins:
            - http://127.0.0.1:5173
            - http://localhost:5173
          allowedMethods:
            - GET
            - POST
            - PUT
            - DELETE
            - OPTIONS
          allowedHeaders:
            - Content-Type
  router:
    static-resources:
      swagger:
        paths: classpath:META-INF/swagger
        mapping: /swagger/**
      swagger-ui:
        paths: classpath:swagger-ui
        mapping: /swagger-ui/**

openapi:
  micronaut:
    enabled: true
    server:
      url: http://127.0.0.1:8000
